clang-tools 10.0.0

Public Attributes | List of all members
clang::clangd::IndexFileIn Struct Reference

`#include <Serialization.h>`

Collaboration diagram for clang::clangd::IndexFileIn:
[legend]

## Public Attributes
llvm::Optional< SymbolSlab > | Symbols
llvm::Optional< RefSlab > | Refs
llvm::Optional< RelationSlab > | Relations
llvm::Optional< IncludeGraph > | Sources
llvm::Optional< tooling::CompileCommand > | Cmd

## Detailed Description

Definition at line 42 of file Serialization.h.

## Member Data Documentation

## ◆ Cmd

llvm::Optional<tooling::CompileCommand> clang::clangd::IndexFileIn::Cmd

Definition at line 49 of file Serialization.h.

## ◆ Refs

llvm::Optional<RefSlab> clang::clangd::IndexFileIn::Refs

Definition at line 44 of file Serialization.h.

## ◆ Relations

llvm::Optional<RelationSlab> clang::clangd::IndexFileIn::Relations

Definition at line 45 of file Serialization.h.

## ◆ Sources

llvm::Optional<IncludeGraph> clang::clangd::IndexFileIn::Sources

Definition at line 47 of file Serialization.h.

## ◆ Symbols

llvm::Optional<SymbolSlab> clang::clangd::IndexFileIn::Symbols

Definition at line 43 of file Serialization.h.

The documentation for this struct was generated from the following file:

- Serialization.h